List credit logs for your account

View a history of credit changes on your account, such as payments made or credits added. The endpoint also returns IDs that can be used for follow-up calls, like a `currency_id` for POST /api/account/currency or an `invoice_id` for payments.

Billing & Payments Billing

Context

Used in the dashboard

/billing

Workflow links

Produces

Query Parameters

page string required · Example: 0

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.hasMore boolean required · Example: false
data.log array<object> required · Example: [{"id":"4969","date":"2026-02-10 00:00:00","client_id":"30000","in":"0.00","out":"39.00...
data.log[].admin_id string required · Example: 0
data.log[].admin_name string required · Example:
data.log[].balance string required · Example: 0.00
data.log[].brand_id string required · Example: 0
data.log[].client_brand_id string required · Example: 1
data.log[].client_id string required · Example: 30000
data.log[].currency_id string required · Example: 0
data.log[].data_edit object required
data.log[].data_edit.balance string required · Example: 0.00
data.log[].data_edit.client_id string required · Example: 30000
data.log[].data_edit.date string required · Example: 05/12/2025
data.log[].data_edit.description string required · Example: Credit applied to invoice
data.log[].data_edit.id string required · Example: 4969
data.log[].data_edit.in string · enum required · Example: 0.00
0.00
100.00
150.00
220.00
300.00
310.00
39.00
44.00
468.00
5.00
567.60
data.log[].data_edit.invoice_id string required · Example: 45919
data.log[].data_edit.out string · enum required · Example: 39.00
0.00
123.75
247.50
290.00
3.75
310.00
374.00
39.00
44.00
48.75
5.00
61.43
75.00
78.00
data.log[].data_edit.transaction_id string required · Example: 0
data.log[].date string required · Example: 2026-02-10 00:00:00
data.log[].description string required · Example: Credit applied to invoice
data.log[].firstname string required · Example: Anna
data.log[].id string required · Example: 4969
data.log[].in string · enum required · Example: 0.00
0.00
100.00
150.00
220.00
300.00
310.00
39.00
44.00
468.00
5.00
567.60
data.log[].invoice_id string required · Example: 45919
data.log[].lastname string required · Example: Svensson
data.log[].out string · enum required · Example: 39.00
0.00
123.75
247.50
290.00
3.75
310.00
374.00
39.00
44.00
48.75
5.00
61.43
75.00
78.00
data.log[].transaction_id string required · Example: 0
data.log[].transid string required · Example:
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/billing/credit-log
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/billing/credit-log?page=0" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "log": [
      {
        "id": "4969",
        "date": "2026-02-10 00:00:00",
        "client_id": "30000",
        "in": "0.00",
        "out": "39.00",
        "balance": "0.00",
        "description": "Credit applied to invoice",
        "invoice_id": "45919",
        "transaction_id": "0",
        "admin_id": "0",
        "admin_name": "",
        "firstname": "Anna",
        "lastname": "Svensson",
        "currency_id": "0",
        "transid": "",
        "brand_id": "0",
        "client_brand_id": "1",
        "data_edit": {
          "id": "4969",
          "date": "05/12/2025",
          "client_id": "30000",
          "in": "0.00",
          "out": "39.00",
          "balance": "0.00",
          "description": "Credit applied to invoice",
          "transaction_id": "0",
          "invoice_id": "45919"
        }
      },
      {
        "id": "4670",
        "date": "2026-02-10 00:00:00",
        "client_id": "30000",
        "in": "0.00",
        "out": "39.00",
        "balance": "39.00",
        "description": "Credit applied to invoice",
        "invoice_id": "42960",
        "transaction_id": "0",
        "admin_id": "0",
        "admin_name": "",
        "firstname": "Anna",
        "lastname": "Svensson",
        "currency_id": "0",
        "transid": "",
        "brand_id": "0",
        "client_brand_id": "1",
        "data_edit": {
          "id": "4670",
          "date": "05/11/2025",
          "client_id": "30000",
          "in": "0.00",
          "out": "39.00",
          "balance": "39.00",
          "description": "Credit applied to invoice",
          "transaction_id": "0",
          "invoice_id": "42960"
        }
      },
      {
        "_truncated": "... and 2 more items"
      }
    ],
    "hasMore": false,
    "success": true
  }
}